> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getasset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the webhook configuration

> **Scopes:** `webhook:read`



## OpenAPI

````yaml /api-reference/openapi.json get /v0/tenant/webhook
openapi: 3.1.0
info:
  title: Asset API
  version: '0.1'
servers:
  - url: https://api.sandbox.getasset.com
    description: Sandbox
  - url: https://api.getasset.com
    description: Production
security: []
paths:
  /v0/tenant/webhook:
    get:
      tags:
        - Webhooks
      summary: Get the webhook configuration
      description: '**Scopes:** `webhook:read`'
      operationId: get_webhook_v0_tenant_webhook_get
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookSuccess'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer:
            - webhook:read
components:
  schemas:
    WebhookSuccess:
      properties:
        data:
          anyOf:
            - $ref: '#/components/schemas/WebhookPublic'
            - type: 'null'
      type: object
      required:
        - data
      title: WebhookSuccess
    ErrorResponse:
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: A description of the error
        data:
          title: Data
          description: Data associated with the error
      type: object
      required:
        - error
        - data
      title: ErrorResponse
    WebhookPublic:
      properties:
        tenant_id:
          type: string
          format: ten_string
          title: Tenant Id
          description: The ID of the Tenant
          examples:
            - ten_4zRSFOpQgYuTciT6dl5qIe1k8Pd
        url:
          type: string
          title: Url
          description: The endpoint to use when posting webhook messages
        headers:
          anyOf:
            - items:
                additionalProperties: true
                type: object
              type: array
            - type: 'null'
          title: Headers
          description: Optional headers to be passed when calling the webhook
          examples:
            - Authorization: Bearer 1234567890
        enabled:
          type: boolean
          title: Enabled
          description: Whether the webhook is enabled
      type: object
      required:
        - tenant_id
        - url
        - enabled
      title: WebhookPublic
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /v0/auth/token

````